% Autovalores con QR y con QR Hessenberg
n = 200;
A = rand(n);
A0 = A+A';


% número de iteraciones
N = 800;

tic
A = A0;
for k = 1:N
    [Qp,R] = qr(A);
    A = R*Qp;
end
toc

tic
A = A0;
% "Reducción" a la forma de Hessenberg
[P,A] = hess(A);


for k = 1:N
    [Qp,R] = qr(A);
    A = R*Qp;
end
toc
