% Autovalores con QR (y autovectores para simétrica)
A2 = [-1,3,-5,2; -7,7,-7,4; -1,1,1,0; -2,3,-5,3];

A = A2+A2';

% número de iteraciones
N = 100;

n = size(A,1);
Q = eye(n);

for k = 1:N
    [Qp,R] = qr(A);
    A = R*Qp;
    Q = Q*Qp;
end
Q = Q';
disp('Aproximación de los autovalores por QR')
disp( sort(diag(A)) )

disp( 'Las columnas de Q dan la aprox. de los autovectores')
Q
