% Autovalores (básico)
A1 = [-7,6,-8,5; -16,10,-13,10; -5,2,-2,3; -8,6,-8,6];
A = -A1;

% número de iteraciones
N = 8;

% vector de partida aleatorio
v = rand(size(A,1),1);
v = v/norm(v);

for k = 1:N
    vn = A*v;
    v = vn/norm(vn);
end

disp('Aproximación del vector propio')
disp(v)
disp('Aproximación del valor propio')
disp(v'*A*v)