% Autovalores (básico)
A1 = [-7,6,-8,5; -16,10,-13,10; -5,2,-2,3; -8,6,-8,6];
A = A1;

% número máximo de iteraciones
N = 100;

% tolerancia
tol = 0.00001;

% vector de partida aleatorio
v = rand(size(A,1),1);
v = v/norm(v);

for k = 1:N
    vn = A*v;
    vn = vn/norm(vn);
    la = v'*A*v;
    lan = vn'*A*vn;
    v = vn;
    if abs(la/lan-1)<tol
        disp('Terminado antes de tiempo')
        k
        break
    end
end

disp('Aproximación del vector propio')
disp(v)
disp('Aproximación del valor propio')
disp(v'*A*v)